Logo
OpenScaler
API DocumentationLoad Balancer Certificates

List Certificates

GET
/v1/lbs/{lb_id}/certificates

List all SSL/TLS certificates attached to the given load balancer.

Authorization

bearer_auth
AuthorizationBearer <token>

Authentication

Create an API token on Profile, or with osctl auth login. Send it in the Authorization header:

Authorization: Bearer os1_...

Do not use the Keycloak web-session JWT as an API token. Keep the secret secure and do not share it.

In: header

Path Parameters

lb_id*string

A unique identifier for a load balancer instance.

Formatuuid

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/lbs/550e8400-e29b-41d4-a716-446655440000/certificates"
{  "certificates": [    {      "name": "my-cert",      "cert_type": "upload",      "common_name": "example.com",      "subject": "CN=example.com",      "domains": "example.com, www.example.com",      "issuers": "Let's Encrypt Authority X3",      "not_before": "2024-01-01T00:00:00Z",      "not_after": "2025-01-01T00:00:00Z",      "serial": "03:AB:CD:EF",      "size": 2048    }  ]}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized. Send POST /v1/init, then retry the request."    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}